﻿using BPA.KitChen.GroupMealOrder.Application.BaseDto;
using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.AppletOrder.Dtos;
using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.AppletOrder.Services;
using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.CheckService.Services;
using BPA.KitChen.GroupMealOrder.Core.Entity;
using BPA.KitChen.GroupMealOrder.Core;
using Furion.DatabaseAccessor;
using Furion.DynamicApiController;
using Furion.FriendlyException;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.AppletOrder
{

    [ApiDescriptionSettings("开放平台", Tag = "小程序订单"), AllowAnonymous]
    public class AppletOrderServices: IDynamicApiController
    {
        private readonly IAppletOrderService _appletOrderService;
        public AppletOrderServices(IAppletOrderService appletOrderService)
        {
            _appletOrderService = appletOrderService;
        }

        [HttpPost("/api/ExternalPlatform/AppletOrder/CreateOrder")]
        public async Task<bool> AddOrder(OrderInsertDto dto)
        {
            return  await _appletOrderService.AddOrder(dto);

        }

        /// <summary>
        /// 查询订单
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        [HttpPost("/api/ExternalPlatform/AppletOrder/GetOrder")]
        public async Task<List<OrderViewDto>> GetOrder(OrderQueryDto dto)
        {
            return await _appletOrderService.GetOrder(dto);
        }


        [HttpPost("/api/AppletOrder/GetOrderPageList")]
        public async Task<PageUtil> GetOrder(OrderQueryPageDto dto)
        {
            return await _appletOrderService.GetOrder(dto);
        }

    }
}
