﻿using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.WeighOrderPay.Dtos;
using BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.WeighOrderPay.Service;
using BPA.KitChen.GroupMealOrder.Core.Entity;
using Essensoft.Paylink.WeChatPay.V2.Notify;
using Essensoft.Paylink.WeChatPay.V2;
using Essensoft.Paylink.WeChatPay;
using Furion;
using Furion.DynamicApiController;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Application.Service.AExternalPlatform.Service.WeighOrderPay
{
    public class WeighOrderPayServices: IDynamicApiController
    {
        private readonly Service.IWeighOrderPayNotify _weighOrderPayNotify;

        private readonly Service.IWeighOrderPayService _weighOrderPayService;

        public WeighOrderPayServices(IWeighOrderPayService weighOrderPayService, 
            Service.IWeighOrderPayNotify weighOrderPayNotify)
        {
            _weighOrderPayService = weighOrderPayService;
            _weighOrderPayNotify= weighOrderPayNotify;
        }

        /// <summary>
        /// 订单支付
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/ExternalPlatform/WeighOrder/PayOrder")]
        public async Task<WeChatPayResponseDto> PayOrder(PayWeighOrderDto inputDto)
        {
            return await _weighOrderPayService.PayOrder(inputDto);
        }

        /// <summary>
        /// 统一下单支付结果通知
        /// </summary>
        [HttpPost("/api/ExternalPlatform/WeighOrder/Unifiedorder")]
        public async Task<IActionResult> Unifiedorder()
        {
          return await _weighOrderPayNotify.Unifiedorder();
        }
    }
}
