﻿using Furion.ConfigurableOptions;

namespace BPA.KitChen.GroupMealOrder.Core.CacheOption
{
    /// <summary>
    /// 微信配置信息
    /// </summary>
    public class WechatConfigOptions: IConfigurableOptions
    {
        /// <summary>
        /// 微信小程序Appid
        /// </summary>
        public string Appid { get; set; }
        /// <summary>
        /// 微信小程序AppSecret
        /// </summary>
        public string AppSecret { get; set; }
        /// <summary>
        /// 微信订阅消息取餐通知模板ID
        /// </summary>
        public string AppMessagetTakeAway { get; set; }
        /// <summary>
        /// 微信订阅消息活动通知模板ID
        /// </summary>
        public string AppMessageActivity { get; set; }
        /// <summary>
        /// 商家号
        /// </summary>
        public string MchId { get; set; }
        /// <summary>
        /// 商家32位秘钥
        /// </summary>
        public string MchKey { get; set; }
        /// <summary>
        /// 商家公网IP
        /// </summary>
        public string MchIP { get; set; }
        /// <summary>
        /// 微信返回支付确认接口(必须80端口)
        /// </summary>
        public string WeChatPayNotifyUrl { get; set; }
        /// <summary>
        /// 微信返回支付确认接口(必须80端口)
        /// </summary>
        public string WeChatRefundUrl { get; set; }

        /// <summary>
        /// 订单状态回调接口(必须80端口)
        /// </summary>
        public string WeChatOrderNotifyUrl { get; set; }
        /// <summary>
        /// 是否是正式
        /// </summary>
        public bool IsProduction { get; set; }
        /// <summary>
        /// 订单地址
        /// </summary>
        public string OrderAddress { get; set; }
        /// <summary>
        /// 加盟商地址
        /// </summary>
        public string FranchiseeAddress { get; set; }

    }
}
