﻿using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{

    [SugarTable("BPA_AppletOrder")]
    public class BPA_AppletOrder: IBaseGroupIdEntity
    {
        /// <summary> 
        ///场景id
        /// </summary> 
        public string StoreId { get; set; }
        public string OrderNumber { get; set; }
        /// <summary> 
        /// 商户订单号,由商家自定义
        /// </summary> 
        public string TradeNo { get; set; }
        /// <summary> 
        /// 订单状态 0成功 1失败
        /// </summary> 
        public int OrderStatus { get; set; }
        /// <summary> 
        /// 订单总金额
        /// </summary> 
        public decimal TotalAmount { get; set; }
        /// <summary>   
        /// 订单数量 
        /// </summary> 
        public int OrderCount { get; set; }
        /// <summary> 
        /// 订单标题 
        /// </summary> 
        public string Subject { get; set; }
        public string GroupId { get; set; }
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();
        public DateTime CreateAt { get; set; } = DateTime.Now;
        public string CreateBy { get; set; }
    }
}
