﻿using BPA.KitChen.GroupMealOrder.Core.Common.Const;
using BPA.KitChen.GroupMealOrder.Core.Entity.Base;
using Furion;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.GroupMealOrder.Core.Entity
{
    /// <summary>
    /// 退款订单
    /// </summary>
    [SugarTable("bpa_refundweighorder")]
    public class BPA_RefundWeighOrder : IBaseGroupIdEntity
    {
        /// <summary>
        /// 主键 Guid
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string Id { get; set; } = Guid.NewGuid().ToString();


        [SugarColumn(ColumnDataType = "nvarchar(64)", ColumnDescription = "GroupId", IsNullable = true)]
        public string GroupId { get; set; } = App.User?.FindFirst(ClaimConst.GroupId)?.Value;

        /// <summary>
        /// 订单编号
        /// </summary>
        public string WeighOrderNumber { get; set; }

        public string WeighOrderId { get; set; }

        /// <summary>
        /// 退款金额 
        /// </summary>
        public decimal RefundAmount { get; set; }



        /// <summary>
        /// 0.退款中   1.退款成功  2.退款失败
        /// </summary>
        public int States { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateAt { get; set; } = DateTime.Now;


        /// <summary>
        /// 操作人
        /// </summary>
        public  string CreateBy { get; set; }
    }
}
