﻿using System.Collections.Generic;

namespace BPA.Kitchen.Core
{
    /// <summary>
    /// 微信用户信息实体
    /// </summary>
    public class WeChatUserInfo
    {
        /// <summary>
        /// 数据ID
        /// </summary>
        /// <example>数据id</example>
        public string id { get; set; }
        /// <summary>
        /// 用户在某一应用下的唯一ID
        /// </summary>
        public string openId { get; set; }
        /// <summary>
        /// 用户昵称
        /// </summary>
        public string nickName { get; set; }
        /// <summary>
        /// 性别
        /// </summary>
        public int gender { get; set; }
        /// <summary>
        /// 城市
        /// </summary>
        public string city { get; set; }
        /// <summary>
        /// 省份
        /// </summary>
        public string province { get; set; }
       /// <summary>
       /// 国家
       /// </summary>
        public string country { get; set; }
        /// <summary>
        /// 头像地址
        /// </summary>
        public string avatarUrl { get; set; }
        /// <summary>
        /// 用户在所有应用下的唯一ID
        /// </summary>
        public string unionId { get; set; }

        /// <summary>
        /// 带区号手机号
        /// </summary>
        public string phoneNumber { get; set; }
        /// <summary>
        /// 不带区号手机号
        /// </summary>
        public string purePhoneNumber { get; set; }
        public string session_key { get; set; }
        /// <summary>
        /// 微信订阅tmplIds
        /// </summary>
        public List<string> TmplIds { get; set; } = new();
    }
}
