using BPA.KitChen.GroupMealOrder.Application.Job;
using BPA.KitChen.GroupMealOrder.Core.CacheOption;
using BPA.KitChen.GroupMealOrder.Handlers;
using BPA.KitChen.GroupMealOrder.SqlSugar;
using Essensoft.Paylink.WeChatPay;
using Essensoft.Paylink.WeChatPay;
using Furion;
using Furion.Schedule;
using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using Newtonsoft.Json;

var builder = WebApplication.CreateBuilder(args).Inject();

//JWTȨ
builder.Services.AddJwt<JwtHandler>(enableGlobalAuthorize: true);


//÷ʽ
builder.Services.AddUnifyResult();

builder.Services.AddControllers().AddInject();
builder.Services.AddSqlsugarSetup();
builder.Services.AddMvcFilter<RequestAuditFiltercs>();
// Paylinkע
builder.Services.AddWeChatPay();

//builder.Services.AddSchedule(options =>
//{
//    // עҵҵ
//    options.AddJob<OrderJob>(Triggers.Minutely()); 
//});


IConfigurationRoot config = new ConfigurationBuilder()
    .AddJsonFile("appsettings.json")
    .AddEnvironmentVariables()
    .Build();
builder.Services.Configure<WeChatPayOptions>(config.GetSection("WeChatPay"));

var app = builder.Build();

// Configure the HTTP request pipeline.

app.UseHttpsRedirection();

app.UseAuthentication();
app.UseAuthorization();

app.UseInject();

//var ApolloStr = App.Configuration["wechat"];
//ApolloApplication.Configs = JsonConvert.DeserializeObject<List<ApolloApplicationConfig>>(ApolloStr);

app.MapControllers();

app.Run();
