﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.KitChen.WeChat.WechatServer.Dtos
{
    public class ProfitSharingDto
    {
        public ProfitSharingDto()
        {
            businessLists = new();
        }
        /// <summary>
        /// 订单ID
        /// </summary>
        public string orderId { get; set; }
        /// <summary>
        /// 商户支付订单号
        /// </summary>
        public string transactionId { get; set; }
        /// <summary>
        /// 分账集合
        /// </summary>
        public List<ProfitAccountDto> businessLists { get; set; }
    }
    /// <summary>
    /// 分账账户信息
    /// </summary>
    public class ProfitAccountDto
    {
        /// <summary>
        /// 账号类型
        /// </summary>
        public string type { get; set; }
        /// <summary>
        /// 账号
        /// </summary>
        public string account { get; set; }
        /// <summary>
        /// 钱
        /// </summary>
        public int amount { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        public string description { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string name { get; set; }

    }
    /// <summary>
    /// 完结分账
    /// </summary>
    public class ProfitSharingFinishInput
    {
        /// <summary>
        /// 小程序ID
        /// </summary>
        public string AppId { get; set; }

        /// <summary>
        /// 品牌主商户号
        /// </summary>
        public string BrandMchId { get; set; }

        /// <summary>
        /// 微信订单号
        /// </summary>
        public string TransactionId { get; set; }

        /// <summary>
        /// 商户分账单号
        /// </summary>
        public string OutOrderNo { get; set; }

        /// <summary>
        /// 分账完结描述
        /// </summary>
        public string Description { get; set; }
    }
    /// <summary>
    /// 分账结果查询
    /// </summary>
    public class ProfitSharingQueryInput
    {
        /// <summary>
        /// 小程序id
        /// </summary>
        public string AppId { get; set; }
        /// <summary>
        /// 微信支付流水号
        /// </summary>
        public string TransactionId { get; set; }
        /// <summary>
        /// 分账单号
        /// </summary>
        public string OutOrderNo { get; set; }
    }
}
