﻿using Essensoft.Paylink.WeChatPay.V2.Response;

namespace BPA.KitChen.WeChat.WechatServer.Dtos
{
    /// <summary>
    /// 退款返回信息
    /// </summary>
    public class RefundDto
    {
        public bool res { get; set; }
        public WeChatPayRefundResponse response { get; set; }
    }

    /// <summary>
    /// 退款输入信息
    /// </summary>
    public class RefundInput
    {
        /// <summary>
        /// 小程序Id
        /// </summary>
        public string AppId { get; set; }
        /// <summary>
        /// 订单编号
        /// </summary>
        public string OrderNumberId {get; set; } 
    }
    /// <summary>
    /// 微信退款信息
    /// </summary>
    public class WechatRefundInput
    {
        /// <summary>
        /// 支付流水号
        /// </summary>
       public string transaction_id { get; set; }
        /// <summary>
        /// 支付商家流水号
        /// </summary>
       public string out_trade_no { get; set; }
        /// <summary>
        /// 总金额
        /// </summary>
       public int total_fee { get; set; }
        /// <summary>
        /// 退款金额
        /// </summary>
       public int refund_fee { get; set; }
        /// <summary>
        /// 退款原因
        /// </summary>
        public string RefundDesc { get; set; }
    }

    /// <summary>
    /// 付款码支付
    /// </summary>
    public class MicropayInput
    {
        /// <summary>
        /// 小程序/公众号唯一标识
        /// </summary>
        public string AppId { get; set; }
        ///// <summary>
        ///// 订单信息
        ///// </summary>
        //public string OrderId { get; set; }
        public decimal TotalFee { get; set; }
        /// <summary>
        /// 订单Id
        /// </summary>
        public string OrderId { get; set; }
        /// <summary>
        /// 用户收款码
        /// </summary>
        public string AuthCode { get; set; }

    }
    /// <summary>
    /// 付款吗支付返回
    /// </summary>
    public class MicropayOutput
    {
        public int Code { get; set; }
        public bool Success { get; set; }
        public string Msg { get; set; }
    }

    /// <summary>
    /// 对账单输入
    /// </summary>
    public class BillInput
    {
        /// <summary>
        /// 小程序ID
        /// </summary>
        public string appid { get; set; }
        /// <summary>
        /// 对账单时间
        /// </summary>
       public string billdate { get; set; }
        /// <summary>
        /// 对账单类型
        /// </summary>
       public string billtype { get; set; }
    }
}
