﻿
using BPA.KitChen.WeChat.WechatServer.Dtos;
using Essensoft.Paylink.WeChatPay.V2.Response;

namespace BPA.KitChen.WeChat.WechatServer.Service
{
    public interface IWeChatPayProfitService
    {
        /// <summary>
        /// 微信单次分账请求
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<WeChatPayProfitSharingResponse> ProfitSharingRequest(ProfitSharingInput input);
        /// <summary>
        /// 微信查询分账金额
        /// </summary>
        /// <param name="tid"></param>
        /// <param name="appId"></param>
        /// <returns></returns>
        Task<WeChatPayProfitSharingOrderAmountQueryResponse> WeChatPayProfitSharingOrderAmountQuery(string tid,string appId);
        /// <summary>
        /// 分账查询
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<WeChatPayProfitSharingQueryResponse> WeChatPayProfitSharingQuery(ProfitSharingQueryInput input);
        /// <summary>
        /// 完结分账
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<WeChatPayProfitSharingFinishResponse> WeChatPayProfitSharingFinish(ProfitSharingFinishInput input);
    }
}
